package com.ruoyi.mall.mapper;

import java.util.List;
import com.ruoyi.mall.domain.MallGoodsGoods;
import com.ruoyi.mall.domain.vo.IndexGoodsVO;

/**
 * 商品Mapper接口
 * 
 * @author chang
 * @date 2021-11-25
 */
public interface MallGoodsGoodsMapper 
{
    /**
     * 查询商品
     * 
     * @param id 商品主键
     * @return 商品
     */
    public MallGoodsGoods selectMallGoodsGoodsById(Long id);

    /**
     * 查询商品列表
     * 
     * @param mallGoodsGoods 商品
     * @return 商品集合
     */
    public List<MallGoodsGoods> selectMallGoodsGoodsList(MallGoodsGoods mallGoodsGoods);

    /**
     * 新增商品
     * 
     * @param mallGoodsGoods 商品
     * @return 结果
     */
    public int insertMallGoodsGoods(MallGoodsGoods mallGoodsGoods);

    /**
     * 修改商品
     * 
     * @param mallGoodsGoods 商品
     * @return 结果
     */
    public int updateMallGoodsGoods(MallGoodsGoods mallGoodsGoods);

    /**
     * 删除商品
     * 
     * @param id 商品主键
     * @return 结果
     */
    public int deleteMallGoodsGoodsById(Long id);

    /**
     * 批量删除商品
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallGoodsGoodsByIds(Long[] ids);

    /*
     * 销量查询商品
     * */
    public List<IndexGoodsVO> selectMallGoodsBySales();

    /*
     * 新品
     * */
    public List<IndexGoodsVO> selectMallGoodsByCreatTime();

    /*
     * 热门
     * */
    public List<IndexGoodsVO> selectMallGoodsByhot();

    public List<IndexGoodsVO> selectMallGoodsGoodsListVO(MallGoodsGoods mallGoodsGoods);

    public IndexGoodsVO selectMallGoodsGoodsByIdVO(Long aLong);
}
